Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        Etk extra is a collection of extra widgets and models
Name:           etk_extra
Version:        20071209
Release:        1
License:        BSD
URL:            http://www.enlightenment.org
Group:          Graphical Desktop/Enlightenment17
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  etk-devel emotion-devel cairo-devel 

%description
Etk extra is a collection of extra widgets, models, or anything that doesnt
fit directly in the Etk source tree. Every component is in the form of a
shared object that can be linked against by your application.


%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %name

%build
./autogen.sh
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr (-, root, root)
%_libdir/*.so.*

%files devel
%defattr (-, root, root)
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_includedir/etk_extra/*
%_pkgconfig/etk_extra*

%clean
rm -rf %{buildroot}

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Initial release

